/*******************************************************************************
 * Copyright (C) 2002, 2003
 * ingenieurbuero fuer innovative informationstechnik (iiit)
 * Dipl.-Ing. Joerg Beckmann, Dortmund, Germany
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * 
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 * or look at http://www.gnu.org/copleft/lesser.html.
 *
 * version $Id: AllTests.java,v 1.5 2003/04/02 09:44:38 joerg Exp $
 ******************************************************************************/

package de.iiit.cache;

import junit.framework.*;

/** 
 * Implements a test suite for different cache classes
 *
 * @version $Revision: 1.5 $ $Date: 2003/04/02 09:44:38 $
 */
public class AllTests extends TestCase
{
    /** CVS Version Tag */
    private static final String vcid = "$Id: AllTests.java,v 1.5 2003/04/02 09:44:38 joerg Exp $";
    
    public AllTests(java.lang.String testName)
    {
        super(testName);
    }
    
    public static void main(java.lang.String[] args)
    {
        junit.textui.TestRunner.run(suite());
    }
    
    public static Test suite()
    {
        TestSuite suite = new TestSuite();
        
        suite.addTest(GenericCacheTest.suite());
        suite.addTest(GenericInvalidationCacheTest.suite());
        suite.addTest(GenericTimeoutCacheTest.suite());
        
        return suite;
    }
    
}

/**
 * $Log: AllTests.java,v $
 * Revision 1.5  2003/04/02 09:44:38  joerg
 * Renamed to AllTests
 *
 * Revision 1.4  2003/03/12 20:14:15  joerg
 * Tests from GenericTimeoutCacheTest added
 *
 * Revision 1.3  2003/03/12 19:49:37  joerg
 * Tests from GenericInvalidationCacheTest added
 *
 * Revision 1.2  2003/03/12 13:22:18  joerg
 * vcid added.
 *
 * Revision 1.1  2003/03/12 13:20:58  joerg
 * 1st version of unit tests
 *
 */
